Your submission was sent successfully! Close

CVE-2011-4916

Published: 12 July 2022

Linux kernel through 3.1 allows local users to obtain sensitive keystroke information via access to /dev/pts/ and /dev/tty*.

Notes

AuthorNote
apw
kernel side this is likely fixed by the commits below, we likely either
also need a local patch to change defaults or userspace work to ensure
appropriate mount options:
0499680a42141d86417a8fbaa8c8db806bea1201
a2ef990ab5a6705a356d146dd773a3b359787497
They also need some chmoding.  But basically upstream says
that we have what we needed for these.
Priority

Low

CVSS 3 base score: 5.5

Status

Package Release Status
linux
Launchpad, Ubuntu, Debian
hardy Ignored
(upstream determined we have sufficient facilities already)
lucid Ignored
(upstream determined we have sufficient facilities already)
maverick Ignored
(reached end-of-life)
natty Ignored
(upstream determined we have sufficient facilities already)
oneiric Ignored
(upstream determined we have sufficient facilities already)
precise Ignored
(upstream determined we have sufficient facilities already)
quantal Ignored
(upstream determined we have sufficient facilities already)
raring Ignored
(upstream determined we have sufficient facilities already)
saucy Ignored
(upstream determined we have sufficient facilities already)
trusty Ignored
(upstream determined we have sufficient facilities already)
upstream Ignored
(upstream determined we have sufficient facilities already)
linux-armadaxp
Launchpad, Ubuntu, Debian
hardy Does not exist

lucid Does not exist

natty Does not exist

oneiric Does not exist

precise Ignored
(upstream determined we have sufficient facilities already)
quantal Ignored
(upstream determined we have sufficient facilities already)
raring Does not exist

saucy Does not exist

trusty Does not exist

upstream Ignored
(upstream determined we have sufficient facilities already)
This package is not directly supported by the Ubuntu Security Team
linux-ec2
Launchpad, Ubuntu, Debian
hardy Does not exist

lucid Ignored
(upstream determined we have sufficient facilities already)
maverick Ignored
(binary supplied by "linux" now)
natty Does not exist

oneiric Does not exist

precise Does not exist

quantal Does not exist

raring Does not exist

saucy Does not exist

trusty Does not exist

upstream Ignored
(upstream determined we have sufficient facilities already)
linux-flo
Launchpad, Ubuntu, Debian
lucid Does not exist

precise Does not exist

quantal Does not exist

saucy Does not exist

trusty Does not exist
(trusty was ignored [upstream determined we have sufficient facilities already])
upstream Ignored
(upstream determined we have sufficient facilities already)
linux-fsl-imx51
Launchpad, Ubuntu, Debian
hardy Does not exist

lucid Ignored
(reached end-of-life)
maverick Does not exist

natty Does not exist

oneiric Does not exist

precise Does not exist

quantal Does not exist

raring Does not exist

saucy Does not exist

trusty Does not exist

upstream Ignored
(upstream determined we have sufficient facilities already)
linux-goldfish
Launchpad, Ubuntu, Debian
lucid Does not exist

precise Does not exist

quantal Does not exist

saucy Ignored

trusty Does not exist
(trusty was ignored [upstream determined we have sufficient facilities already])
upstream Ignored
(upstream determined we have sufficient facilities already)
linux-grouper
Launchpad, Ubuntu, Debian
lucid Does not exist

precise Does not exist

quantal Does not exist

saucy Ignored

trusty Does not exist
(trusty was ignored [upstream determined we have sufficient facilities already])
upstream Ignored
(upstream determined we have sufficient facilities already)
linux-lts-backport-maverick
Launchpad, Ubuntu, Debian
hardy Does not exist

lucid Ignored
(reached end-of-life)
maverick Does not exist

natty Does not exist

oneiric Does not exist

precise Does not exist

quantal Does not exist

raring Does not exist

saucy Does not exist

trusty Does not exist

upstream Ignored
(upstream determined we have sufficient facilities already)
linux-lts-backport-natty
Launchpad, Ubuntu, Debian
hardy Does not exist

lucid Ignored
(reached end-of-life)
maverick Does not exist

natty Does not exist

oneiric Does not exist

precise Does not exist

quantal Does not exist

raring Does not exist

saucy Does not exist

trusty Does not exist

upstream Ignored
(upstream determined we have sufficient facilities already)
linux-lts-backport-oneiric
Launchpad, Ubuntu, Debian
hardy Does not exist

lucid Ignored
(reached end-of-life)
maverick Does not exist

natty Does not exist

oneiric Does not exist

precise Does not exist

quantal Does not exist

raring Does not exist

saucy Does not exist

trusty Does not exist

upstream Ignored
(upstream determined we have sufficient facilities already)
linux-lts-quantal
Launchpad, Ubuntu, Debian
hardy Does not exist

lucid Does not exist

oneiric Does not exist

precise Ignored
(upstream determined we have sufficient facilities already)
quantal Does not exist

raring Does not exist

saucy Does not exist

trusty Does not exist

upstream Does not exist

linux-lts-raring
Launchpad, Ubuntu, Debian
hardy Does not exist

lucid Does not exist

oneiric Does not exist

precise Ignored
(upstream determined we have sufficient facilities already)
quantal Does not exist

raring Does not exist

saucy Does not exist

trusty Does not exist

upstream Ignored
(upstream determined we have sufficient facilities already)
linux-lts-saucy
Launchpad, Ubuntu, Debian
lucid Does not exist

precise Ignored
(upstream determined we have sufficient facilities already)
quantal Does not exist

raring Does not exist

saucy Does not exist

trusty Does not exist

upstream Ignored
(upstream determined we have sufficient facilities already)
linux-maguro
Launchpad, Ubuntu, Debian
lucid Does not exist

precise Does not exist

quantal Does not exist

saucy Ignored

trusty Does not exist
(trusty was ignored [upstream determined we have sufficient facilities already])
upstream Ignored
(upstream determined we have sufficient facilities already)
linux-mako
Launchpad, Ubuntu, Debian
lucid Does not exist

precise Does not exist

quantal Does not exist

saucy Ignored

trusty Does not exist
(trusty was ignored [upstream determined we have sufficient facilities already])
upstream Ignored
(upstream determined we have sufficient facilities already)
linux-manta
Launchpad, Ubuntu, Debian
lucid Does not exist

precise Does not exist

quantal Does not exist

saucy Ignored

trusty Does not exist
(trusty was ignored [upstream determined we have sufficient facilities already])
upstream Ignored
(upstream determined we have sufficient facilities already)
linux-mvl-dove
Launchpad, Ubuntu, Debian
hardy Does not exist

lucid Ignored
(readed end-of-life)
maverick Ignored
(upstream determined we have sufficient facilities already)
natty Does not exist

oneiric Does not exist

precise Does not exist

quantal Does not exist

raring Does not exist

saucy Does not exist

trusty Does not exist

upstream Ignored
(upstream determined we have sufficient facilities already)
linux-ti-omap4
Launchpad, Ubuntu, Debian
hardy Does not exist

lucid Does not exist

maverick Ignored
(upstream determined we have sufficient facilities already)
natty Ignored
(upstream determined we have sufficient facilities already)
oneiric Ignored
(upstream determined we have sufficient facilities already)
precise Ignored
(upstream determined we have sufficient facilities already)
quantal Ignored
(upstream determined we have sufficient facilities already)
raring Ignored
(upstream determined we have sufficient facilities already)
saucy Ignored
(upstream determined we have sufficient facilities already)
trusty Does not exist

upstream Ignored
(upstream determined we have sufficient facilities already)